Package: grails.plugins

## [Groovy] Class VersionComparator

- grails.plugins.VersionComparator

- All Implemented Interfaces and Traits:
    java.util.Comparator<java.lang.String>

      @groovy.transform.CompileStatic
      class VersionComparator
      extends java.lang.Object
      implements java.util.Comparator<java.lang.String>

  A comparator capable of sorting versions from from newest to oldest

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.util.List<java.lang.String>` | `SNAPSHOT_SUFFIXES` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `VersionComparator ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `compare(java.lang.String o1, java.lang.String o2)`
    `` | `protected java.lang.String` | `deSnapshot(java.lang.String version)` Removes any suffixes that indicate that the version is a kind of snapshot
    `` | `boolean` | `equals(java.lang.Object obj)`
    `` | `protected boolean` | `isSnapshot(java.lang.String version)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static final java.util.List<java.lang.String> SNAPSHOT_SUFFIXES

  - ### Constructor Detail

    - #### VersionComparator()

  - ### Method Detail

    - #### int compare(java.lang.String o1, java.lang.String o2)

    - #### @groovy.transform.CompileStatic protected java.lang.String deSnapshot(java.lang.String version)

      Removes any suffixes that indicate that the version is a kind of snapshot

    - #### boolean equals(java.lang.Object obj)

    - #### @groovy.transform.CompileStatic protected boolean isSnapshot(java.lang.String version)